Subject: Re: Win32 files and cygwin files
From: [email-masked] (Christopher G. Faylor)

24 Nov 1998 13:39:56 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
David R. Dick <[email-masked]> wrote:
>Because file locking seems to be unavailable in CygWin,
>I probably need to use Win32 LockFile().
>
>I know that I can link with Win32 libaries to use some
>Windows functionality.
>
>Is there a way I can use LockFile() on files I have opened
>with normal UNIX fopen() calls?  or do I need to go all the
>way in using Win32 file calls?

HANDLE h = get_osfhandle (fd) returns the Windows handle associated with
the cygwin fd.

-- 
[email-masked]
http://www.cygnus.com/